Bug 505766 - No IPv6 support in Perl::Net::Server (hurts Munin and others)
No IPv6 support in Perl::Net::Server (hurts Munin and others)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl-Net-Server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-13 12:05 EDT by Bernie Innocenti
Modified: 2012-08-25 19:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-25 19:54:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernie Innocenti 2009-06-13 12:05:51 EDT
Upstream is dead or unresponsive:

 http://rt.cpan.org/Public/Bug/Display.html?id=33289

There are distro specific patches floating around:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=523846
  http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=10;filename=03_ipv6-support.dpatch;att=1;bug=523846

Transparent IPv6 support would be needed, for example, for Munin:

  http://munin.projects.linpro.no/ticket/358
Comment 1 Bug Zapper 2009-11-16 05:11:20 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Kevin Fenzi 2010-01-17 14:18:30 EST
Sorry, I totally missed seeing this bug. ;( 

I can look at adding the patches here... but I really dislike carrying big patches like that. 
Have you tested them? Are they stable?
Have other distros shipped with them for a while?
Comment 3 Bernie Innocenti 2010-01-20 21:28:29 EST
(In reply to comment #2)
> I can look at adding the patches here... but I really dislike carrying big
> patches like that. 

Upstream seems dead and unresponsive :-/


> Have you tested them? Are they stable?

I'm afraid not.


> Have other distros shipped with them for a while?    

Looks like Debian has been shipping it for some time.
Comment 4 Bug Zapper 2010-11-04 07:07:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bernie Innocenti 2010-11-04 10:32:23 EDT
This bug is still present as of Fedora 14.
Comment 6 Fedora End Of Life 2012-08-16 17:40:20 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Paul Howarth 2012-08-25 16:02:55 EDT
Net-Server as of version 2.000 (released May 2012) has IPv6 support upstream.

Current upstream release is 2.006.
Comment 8 Kevin Fenzi 2012-08-25 19:54:02 EDT
Updated in rawhide. 

Let me know if you want f18 updated too. This is a pretty big jump for any other stable releases, IMHO.

Note You need to log in before you can comment on or make changes to this bug.